/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	list_utils.c	other tools for manipulating panel settings	*/
/*									*/
/************************************************************************/

#include	<stdio.h>
#include	<sys/param.h>
#include	<sys/types.h>
#include	<xview/xview.h>
#include	<xview/panel.h>

#include	"manifest.h"

/************************************************************************/
EXPORT	int	list_count(item)

Panel_item	item;

{	int	i, count, rows;

	rows = (int) xv_get(item, PANEL_LIST_NROWS);
	for (i = count = 0; i < rows; i++)
	   if (xv_get(item, PANEL_LIST_SELECTED, i))
	      count++;
	return(count);
}

/************************************************************************/
EXPORT	empty_list(item)

Panel_item	item;

{	int	row;

	row = (int) xv_get(item, PANEL_LIST_NROWS);
	for ( ; row > 0; row--)
	   xv_set(item, PANEL_LIST_DELETE, row - 1, NULL);
}

/************************************************************************/
EXPORT	clear_list(item)

Panel_item	item;

{	int	i, row;

	row = (int) xv_get(item, PANEL_LIST_NROWS);
	for (i = 0; i < row; i++)
	   if (xv_get(item, PANEL_LIST_SELECTED, i))
	      xv_set(item, PANEL_LIST_SELECT, i, FALSE, NULL);
}

/************************************************************************/
EXPORT	int	first_selected(item)

Panel_item	item;

{	int	i, row;

	row = (int) xv_get(item, PANEL_LIST_NROWS);
	for (i = 0; i < row; i++)
	   if (xv_get(item, PANEL_LIST_SELECTED, i))
	      return(i);
	return(0);
}
	   
